package com.supervision.manage.controller;


import com.supervision.manage.service.AskQuestionLibraryManageService;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "问题库管理")
@RestController
@RequestMapping("aqLibrary")
@RequiredArgsConstructor
public class AskQuestionLibraryManageController {

    private final AskQuestionLibraryManageService askQuestionLibraryManageService;
    @ApiOperation("查询问题库列表")
    @PostMapping("/queryList")
    public List<AskQuestionLibraryResVo> queryList(AskQuestionLibraryReqVo askQuestionLibraryReqVo) {

        return askQuestionLibraryManageService.queryList(askQuestionLibraryReqVo);

    }

}
