package com.supervision.manage.service;

import com.supervision.model.DiseaseTreatmentPlan;
import com.supervision.vo.manage.DiseaseTreatmentPlanResVo;

import java.util.List;

public interface DiseaseTreatmentPlanManageService {

    List<DiseaseTreatmentPlanResVo> queryListByDiseaseId(String diseaseId);

    DiseaseTreatmentPlan saveTreatmentPlan(DiseaseTreatmentPlan diseaseTreatmentPlan);

    void batchSaveTreatmentPlan(List<DiseaseTreatmentPlan> diseaseTreatmentPlanList);

    boolean deleteDiseaseTreatmentPlan(String id);
}
